# $Revision: 1.18 $, $Date: 2009/12/01 18:37:35 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Simple
Summary:	Crypt::Simple Perl module - encrypt stuff simply
Summary(pl.UTF-8):	Moduł Perla Crypt::Simple - proste szyfrowanie
Name:		perl-Crypt-Simple
Version:	0.06
Release:	5
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	cdea18a98593364855f27afcb8519ec0
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-IO-Compress >= 1.11
BuildRequires:	perl-Crypt-Blowfish >= 2.06
BuildRequires:	perl-Digest-MD5 >= 2.13
BuildRequires:	perl-FreezeThaw >= 0.41
BuildRequires:	perl-MIME-Base64 >= 2.11
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-IO-Compress >= 1.11
Requires:	perl-Crypt-Blowfish >= 2.06
Requires:	perl-Digest-MD5 >= 2.13
Requires:	perl-FreezeThaw >= 0.41
Requires:	perl-MIME-Base64 >= 2.11
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This little module will convert all your data into nice base64 text
that you can save in a text file, send in an email, store in a cookie
or web page, or bounce around the Net. The data you encrypt can be as
simple or as complicated as you like.

%description -l pl.UTF-8
Ten mały moduł moduł konwertuje dane na przyjemny tekst base64, który
można zapisać w pliku tekstowym, wysłać pocztą elektroniczną, zapisać
w ciasteczku lub na stronie WWW, albo przesyłać przez sieć.
Zaszyfrowane dane mogą być dowolnie proste lub skomplikowane.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Crypt/Simple.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-Simple.spec,v $
Revision 1.18  2009/12/01 18:37:35  amateja
- replaced BR & R perl-Compress-Zlib with its successor perl-IO-Compress
- release 5

Revision 1.17  2008/07/27 22:51:13  arekm
- release 4

Revision 1.16  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.14  2004/11/03 22:30:14  paladine
- formatting

Revision 1.13  2004/06/05 18:10:36  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.12  2004/05/07 01:09:19  ankry
- rel. 3

Revision 1.11  2004/05/06 18:09:26  ankry
- fixed perl-devel BR

Revision 1.10  2004/04/20 09:55:38  ankry
- new bconds

Revision 1.9  2003/08/18 08:08:37  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 18:46:41  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:37:45  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:29:47  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/10/05 21:16:03  ankry
- (auto)updated to 0.06
- fixed License field, commented tests bcond

Revision 1.1  2002/08/01 16:03:26  qboosh
- new

